<?php

namespace FacturaScripts\Plugins\Partes\Controller;

use FacturaScripts\Core\Lib\ExtendedController\ListController;

class ListOIVehiculoOrden extends ListController
{
    public function getPageData(): array
    {
        $data = parent::getPageData();
  //      $data["title"] = "Desplazamientos";
        $data["menu"] = "";
//	$data["icon"] = "fas fa-bus";
        return $data;
    }

    protected function createViews()
    {
        $this->createViewsOIVehiculoTarea();
    }

    protected function createViewsOIVehiculoTarea(string $viewName = "ListOIVehiculoOrden")
    {
        $this->addView($viewName, "OIVehiculoOrden", "Desplazamientos");

        // Esto es un ejemplo ... debe de cambiarlo según los nombres de campos del modelo
        // $this->addOrderBy($viewName, ["id"], "id", 2);
        // $this->addOrderBy($viewName, ["name"], "name");

        // Esto es un ejemplo ... debe de cambiarlo según los nombres de campos del modelo
        // $this->addSearchFields($viewName, ["id", "name"]);
    }
}
